%global srcname pyxs

%if 0%{?rhel} && 0%{?rhel} < 7
%bcond_with tests
%else
%bcond_without tests
%endif

Name: python-%{srcname}
Version: 0.4.1
Release: 2%{?dist}
Summary: Pure Python bindings to XenStore
License: GPLv3
URL: https://pypi.python.org/pypi/%{srcname}
# PyPI tarball doesn't have tests
Source0: https://github.com/selectel/pyxs/archive/%{version}/pyxs-%{version}.tar.gz
Patch0: remove-pytest-runner-requirement.patch
BuildArch: noarch


%description
It's a pure Python XenStore client implementation, which covers all of the
libxs features and adds some nice Pythonic sugar on top.


%package -n python2-%{srcname}
Summary: Pure Python bindings to XenStore
BuildRequires: python2-devel
BuildRequires: python%{?fedora:2}-setuptools
%if %{with tests}
# Test use pytest's yield_fixture decorator, which was first added in 2.4.
# https://github.com/pytest-dev/pytest/blob/2.4.0/CHANGELOG#L26-L33
BuildRequires: %{?fedora:python2-}pytest >= 2.4
%endif
%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
It's a pure Python XenStore client implementation, which covers all of the
libxs features and adds some nice Pythonic sugar on top.


%package -n python%{python3_pkgversion}-%{srcname}
Summary: Pure Python bindings to XenStore
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%if %{with tests}
# Test use pytest's yield_fixture decorator, which was first added in 2.4.
# https://github.com/pytest-dev/pytest/blob/2.4.0/CHANGELOG#L26-L33
BuildRequires: python%{python3_pkgversion}-pytest >= 2.4
%endif
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}


%description -n python%{python3_pkgversion}-%{srcname}
It's a pure Python XenStore client implementation, which covers all of the
libxs features and adds some nice Pythonic sugar on top.


%prep
%autosetup -n %{srcname}-%{version} -p 1


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%if %{with tests}
%check
%{__python2} -m pytest -v
%{__python3} -m pytest -v
%endif


%files -n python2-%{srcname}
%license LICENSE
%doc README
%{python2_sitelib}/*


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README
%{python3_sitelib}/*


%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.4.1-2
- Rebuilt to change main python from 3.4 to 3.6

* Tue Jul 25 2017 Carl George <carl@george.computer> - 0.4.1-1
- Initial package
